libetonyek::KEYPath::Element Class Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libetonyek::KEYPath::Element Class Referenceabstract

An element of path. More...

## Public Member Functions
virtual | ~Element ()=0
virtual Element * | clone () const =0
virtual bool | approxEqualsTo (const Element *other, double eps) const =0
| Test whether this element is equal to other. More...
virtual void | transform (const KEYTransformation &tr)=0
| Transform this path element. More...
virtual librevenge::RVNGPropertyList | toWPG () const =0
| Create WPG representation of this path element. More...

## Detailed Description

An element of path.

## Constructor & Destructor Documentation

libetonyek::KEYPath::Element::~Element | ( |  | ) |
| pure virtual

## Member Function Documentation

virtual bool libetonyek::KEYPath::Element::approxEqualsTo | ( | const Element * | other,
|  | double | eps
| ) |  | const
| pure virtual

Test whether this element is equal to other.

Note
  Because all implementations of this interface are directly derived from it (i.e., thay have no subclasses), it is enough to check if `other` has a compatible type, not that `this` and `other` have the same type (which would require double dispatch).

Returns
  true if `this` and `other` are equal.

Referenced by libetonyek::approxEqual().

virtual Element* libetonyek::KEYPath::Element::clone | ( |  | ) | const
| pure virtual

virtual librevenge::RVNGPropertyList libetonyek::KEYPath::Element::toWPG | ( |  | ) | const
| pure virtual

Create WPG representation of this path element.

virtual void libetonyek::KEYPath::Element::transform | ( | const KEYTransformation & | tr | ) |
| pure virtual

Transform this path element.

- [in] tr the transformation

Referenced by libetonyek::KEYPath::operator*=().

The documentation for this class was generated from the following file:

- KEYPath.cpp